सामग्री पर जाएँ

Pika Scenes (v2.2)

इंटीग्रेट करें

मॉडल id pika/v2.2/pikascenes
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/pika/v2.2/pikascenes?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ],
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.45 450 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Pika इमेज से वीडियो 5–10 s1080p तक #editing#effects#animation

कई संदर्भ इमेज को एक वीडियो में संयोजित करता है, जिसमें सटीक या रचनात्मक ब्लेंडिंग का विकल्प है

Pika · वीडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

बनाए जाने वाले वीडियो का टेक्स्ट विवरण।

•आवश्यक image_urls
फ़ाइल ड्रॉप करें, या

उन स्रोत इमेज के URL, जिन्हें मिलाकर वीडियो बनाया जाएगा।

duration 5 s

आउटपुट वीडियो की अवधि, सेकंड में।

aspect_ratio डिफ़ॉल्ट 16:9

आउटपुट वीडियो का पहलू अनुपात।

resolution डिफ़ॉल्ट 1080p

आउटपुट वीडियो का रिज़ॉल्यूशन।

उन्नत negative_prompt · ingredients_mode · seed
डिफ़ॉल्ट ugly, bad, terrible

मॉडल मार्गदर्शन के लिए उपयोग किया जाने वाला नेगेटिव प्रॉम्प्ट।

ingredients_mode डिफ़ॉल्ट precise

बहु-इमेज एकीकरण मोड, जिसमें precise मोड की अधिक सटीकता और creative मोड की अधिक रचनात्मकता में से चयन किया जा सकता है।

यादृच्छिक-संख्या जनरेटर द्वारा उपयोग किया गया सीड मान।

POST /run/pika/v2.2/pikascenes?wait=20 कोटेशन → $0.45
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/pika/v2.2/pikascenes?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ],
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Pika Scenes (v2.2) के बारे में

आवश्यक `prompt` के मार्गदर्शन में `image_urls` से कई इमेज को एक क्लिप में मिलाता है। `ingredients_mode` precise और creative के बीच स्विच करता है; precise स्रोतों के अधिक निकट रहता है, जबकि creative अधिक स्वतंत्रता देता है। सात आस्पेक्ट रेशियो, 720p या 1080p (डिफ़ॉल्ट 1080p), और 5 या 10 सेकंड की अवधियों का समर्थन करता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
image_urlsआवश्यक images
प्रकारurl[] · image
उन स्रोत इमेज के URL, जिन्हें मिलाकर वीडियो बनाया जाएगा।
promptआवश्यक
प्रकारstring
बनाए जाने वाले वीडियो का टेक्स्ट विवरण।
negative_promptवैकल्पिक
प्रकारstring
डिफ़ॉल्टugly, bad, terrible
मॉडल मार्गदर्शन के लिए उपयोग किया जाने वाला नेगेटिव प्रॉम्प्ट।
seedवैकल्पिक
प्रकारinteger | null
यादृच्छिक-संख्या जनरेटर द्वारा उपयोग किया गया सीड मान।
aspect_ratioवैकल्पिक
प्रकारenum
डिफ़ॉल्ट16:9
16:99:161:14:55:43:22:3
आउटपुट वीडियो का पहलू अनुपात।
resolutionवैकल्पिक
प्रकारenum
डिफ़ॉल्ट1080p
720p1080p
आउटपुट वीडियो का रिज़ॉल्यूशन।
durationवैकल्पिक
प्रकारenum
डिफ़ॉल्ट5
510
आउटपुट वीडियो की अवधि, सेकंड में।
ingredients_modeवैकल्पिक
प्रकारenum
डिफ़ॉल्टprecise
precisecreative
बहु-इमेज एकीकरण मोड, जिसमें precise मोड की अधिक सटीकता और creative मोड की अधिक रचनात्मकता में से चयन किया जा सकता है।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "pika/v2.2/pikascenes",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 450,
    "usd": "0.45",
    "charged": 450,
    "refunded": 0
  },
  "input": {
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ],
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size}कई इमेज से संयोजित निर्मित वीडियो।

और मॉडल: इमेज से वीडियो

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/pika/v2.2/pikascenes.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt